Name:           secilc
Version:        2.5
Release:        0.99.rc1.1%{?dist}
Summary:        The SELinux CIL Compiler

License:        BSD
URL:            https://github.com/SELinuxProject/selinux/wiki
Source0:        https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/20160107/secilc-2.5-rc1.tar.gz

BuildRequires:  libsepol-static >= 2.5, dblatex, flex, xmlto, pandoc

%description
The SELinux CIL Compiler is a compiler that converts the CIL language as
described on the CIL design wiki into a kernel binary policy file.
Please see the CIL Design Wiki at:
http://github.com/SELinuxProject/cil/wiki/
for more information about the goals and features on the CIL language.

%package doc
Summary:        Documentation for the SELinux CIL Compiler
BuildArch:      noarch

%description doc
The SELinux CIL Compiler is a compiler that converts the CIL language as
described on the CIL design wiki into a kernel binary policy file.
Please see the CIL Design Wiki at:
http://github.com/SELinuxProject/cil/wiki/
for more information about the goals and features on the CIL language.

%prep
%setup -q -n secilc-2.5-rc1


%build
make %{?_smp_mflags} CFLAGS="%{optflags}" LIBSEPOL_STATIC=%{_libdir}/libsepol.a
pushd docs
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}
make %{?_smp_mflags} DESTDIR="%{buildroot}" SBINDIR="%{buildroot}%{_sbindir}" LIBDIR="%{buildroot}%{_libdir}" install
# mkdir -p %{buildroot}%{_bindir}
# mkdir -p %{buildroot}%{_mandir}/man8
# install -p secilc %{buildroot}%{_bindir}
# install -m 644 -p docs/man8/secilc.8 %{buildroot}%{_mandir}/man8


%files
%{_bindir}/secilc
%{_mandir}/man8/secilc.8.gz
%license COPYING

%files doc
%doc docs/html
%doc docs/pdf
%license COPYING

%changelog
* Fri Jan 08 2016 Petr Lautrbach <plautrba@redhat.com> 2.5-0.99.rc1.1
- Update to upstream rc1 release 2016-01-07

* Tue Sep 01 2015 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 2.4-6
- tell make where libsepol.a is to fix FTBFS on non-x86 64-bit archs - rhbz#1249522

* Wed Jul 29 2015 Petr Lautrbach <plautrba@redhat.com> 2.4-5
- secilc-doc do not need the base package
- Fedora package review https://bugzilla.redhat.com/show_bug.cgi?id=1245270

* Thu Jul 23 2015 Petr Lautrbach <plautrba@redhat.com> 2.4-4
- add license file

* Wed Jul 22 2015 Petr Lautrbach <plautrba@redhat.com> 2.4-3
- remove unnecessary dependencies
- don't build libsepol

* Tue Jul 21 2015 Petr Lautrbach <plautrba@redhat.com> 2.4-2
- make secilc-doc package noarch

* Tue Jul 21 2015 Petr Lautrbach <plautrba@redhat.com> 2.4-1
- initial build based on libsepol-2.4 sources
